Groovy Documentation

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class ImportCommandCompletor

    java.lang.Object
      jline.ArgumentCompletor
          org.codehaus.groovy.tools.shell.commands.ImportCommandCompletor

    class ImportCommandCompletor
    extends jline.ArgumentCompletor

Completor for the 'import' command.

Authors:
  Jason Dillon

Version:
  \$Id\$

Constructor Summary
`ImportCommandCompletor(GroovyClassLoader classLoader)`

Method Summary

Methods inherited from class jline.ArgumentCompletor

jline.ArgumentCompletor#complete(java.lang.String, int, java.util.List), jline.ArgumentCompletor#setStrict(boolean), jline.ArgumentCompletor#getStrict(), jline.ArgumentCompletor#wait(long), jline.ArgumentCompletor#wait(long, int), jline.ArgumentCompletor#wait(), jline.ArgumentCompletor#equals(java.lang.Object), jline.ArgumentCompletor#toString(), jline.ArgumentCompletor#hashCode(), jline.ArgumentCompletor#getClass(), jline.ArgumentCompletor#notify(), jline.ArgumentCompletor#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ImportCommandCompletor

    ImportCommandCompletor(GroovyClassLoader classLoader)

Groovy Documentation